/************************************************************************//**
 *
 * @file    c17_wdt.h
 *
 * @brief   This is WDT driver header file.
 *
 * @par     Copyright:
 *          Copyright (C) SEIKO EPSON CORPORATION 2016-2016. All rights reserved.
 *
 * @warning -
 *
 * @par     History:
 *          - 01 Sep. 2016    1.00
 *              - First revision.
 *
 ***************************************************************************/
#ifndef C17_WDT_H__
#define C17_WDT_H__

#include <c17_mcu_select.h>

/* --- definition --- */
#define c17resetWdt c17startWdt

/* --- external declaration --- */
extern void c17initWdt(void);
extern void c17startWdt(void);
extern void c17stopWdt(void);
extern int c17isWdtIntNmi(void);

#endif	// C17_WDT_H__

